[rspec-users] rspec 1.3.2, Rails 2.3.14 - plugins not loading

Andrew Premdas apremdas at gmail.com
Fri Oct 28 15:10:23 EDT 2011


On 26 October 2011 16:16, Jens-Christian Fischer <jcfischer at gmail.com> wrote:
> Ha - I think I found the problem:
>
> In my Gemfile I had:
>
> group :test, :cucumber do # , :development (till we work out why
> plugins don't load with rspec)
>  gem 'rspec-rails', '~> 1.3.4' , :require => 'spec/rails'
>  gem 'rspec', '~> 1.3.2', :require => 'spec'
>  gem "capybara", "0.3.9"
>  gem "cucumber", "0.9.4"
>  gem "cucumber-rails", "0.3.2"
>  gem 'database_cleaner'
> end
>
> removing the :require => ... lines seemed to fix the problem
>
> So you were right - it was all my fault ;)
>
> thanks for prodding me in the right direction.
>
> cheers
> jc

your welcome

all best

Andrew
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users
>



-- 
------------------------
Andrew Premdas
blog.andrew.premdas.org


More information about the rspec-users mailing list